declare function handleEnterKeydown(e: KeyboardEvent, callback: () => any): void;
declare function handleActionKeydown(e: KeyboardEvent, callback: () => any): void;
declare function handleEscapeKeydown(e: KeyboardEvent, callback: () => any): void;
declare function handleUpDownArrowsKeydown(e: KeyboardEvent, callback: () => any): void;
declare function handleLeftRightArrowsKeydown(e: KeyboardEvent, callback: () => any): void;
declare function handleArrowsKeydown(e: KeyboardEvent, callback: () => any): void;
declare function handleTextInput(e: KeyboardEvent, callback: () => any): void;
declare function preventDefaultIfHijax(e: KeyboardEvent, hijax: boolean): void;
declare function addEventListener(_: unknown, handler: (e: Event) => void): void;
declare function removeEventListener(_: unknown, handler: (e: Event) => void): void;
declare const resizeUtil: {
    addEventListener: typeof addEventListener;
    removeEventListener: typeof removeEventListener;
};
declare function debounce(this: any, func: Function, timeout?: number): (...args: any[]) => void;
export { debounce, handleEnterKeydown, handleActionKeydown, handleEscapeKeydown, handleUpDownArrowsKeydown, handleLeftRightArrowsKeydown, handleArrowsKeydown, handleTextInput, preventDefaultIfHijax, resizeUtil, };
